%def_disable static
%def_without divx4linux

Name: rte
Version: 0.5.2
Release: alt1

Summary: Real Time Software Video/Audio Encoder library
Group: System/Libraries
License: GPL
Url: http://zapping.sf.net
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Source: %name-%version.tar.bz2
Patch: %name-0.5.2-alt-configure.patch

# Automatically added by buildreq on Tue Jun 01 2004
BuildRequires: doxygen gcc-c++ gcc-g77 hostinfo libstdc++-devel

%description
Real Time Software Video/Audio Encoder library.

%package -n lib%name
Summary: Real Time Software Video/Audio Encoder library.
Group: System/Libraries

%description -n lib%name
Real Time Software Video/Audio Encoder library.

This package contains shared library needed to run applications using %name

%package -n lib%name-devel
Summary: rte library development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
rte library development files.

%if_enabled static
%package -n lib%name-devel-static
Summary: rte static library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
rte static library.
%endif

%prep
%setup -q 
%patch -p1

%build
%add_optflags %optflags_shared
%__subst 's,strlcpy,strllcpy,g' ffmpeg/libav/*.{c,h}
%__subst 's,\.libs/librte.a,librte.la,' test/Makefile.am
%__subst 's,macros\|vbi\|devices\|test,,g' mp1e/Makefile.am
autoreconf -ifsv -I m4
#%__subst 's,\.la\>,.so,' configure

%configure \
	--disable-rpath \
	%{subst_enable static} \
%if_with divx4linux
	--with-divx4linux=yes \
%else
	--with-divx4linux=no \
%endif
	--with-mp1e=yes

# SMP-incompatible build
%make

%install
%makeinstall
#%set_verify_elf_method textrel=relaxed

%find_lang %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name -f %name.lang
%_libdir/*.so.*
%doc README AUTHORS TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%doc ChangeLog doc/html

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Tue Jun 01 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.2-alt1
- 0.5.2

* Sun Dec 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.1-alt4
- building without *.la

* Wed Nov 12 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.1-alt3
- new optflags

* Wed Nov 05 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.1-alt2
- new buildrequires and rebuilding in hasher

* Wed Feb 19 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Sun Oct 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt1
- 0.5
- mp1e moved in separate package.

* Fri May 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1
- rte-0.4-ac_fixes.patch (PLD Team)
- First build for Sisyphus. 
